version 1.23.2 "Bug Fixes II" (2018-03-10)
	- fix some HTTP requests that were not sent (Jakub Adam, Stefan Becker)

version 1.23.1 "Bug Fixes I" (2018-02-25)
	- Fixed #338: Incorrect port 0 for IPv6 socket on Windows (Stefan Becker)
	- Fixed #337: Duplicate candidates in SDP (Jakub Adam, Stefan Becker)
	- Fixed #336: Lync autodiscover does not follow user redirect (Stefan Becker)
	- media: unconditionally ignore multichannel codecs (Jakub Adam)
	- updated translations: Turkish (tr)

version 1.23.0 "D-Bus, IPv6, OS X 10.11+" (2017-10-28)
	- Feature #101: Mac OS X 10.13 OpenSSL support (Stefan Becker)
	- Feature #100: Extend libpurple D-Bus interface (Stefan Becker)
	- Feature #99: IPv6 addresses in SIP & SDP messages (Stefan Becker)
	- Feature #96: Support for OS X 10.11+ SDK (Stefan Becker)
	- don't load buddy photos from unknown sites by default (Jakub Adam, Stefan Becker)
	  * custom web URIs pose a security risk as they may be abused
	  * users can override this behaviour in the account settings
	  * Office365 accounts should not be affected by this change
	- add support for GMime 3.0 API (Stefan Becker)
	- raise BR glib-2.0 >= 2.18.0 (Stefan Becker)
	- raise BR purple >= 2.7.0 (Stefan Becker)
	- drop support for GMime 2.4 (Stefan Becker)
	- drop support for gstreamer-0.10 (Stefan Becker)

version 1.22.1 "Bug Fixes I" (2017-06-11)
	- Fixed #320: Multiple client detection broken (Stefan Becker)
	- speed up Lync Autodiscover by using AccessLocation (Andrey Vaynberger)
	- adium: update build instructions for Xcode 7.x or newer (Stefan Becker)
	  * the build environment used for releases 1.22.0 or older (Xcode 6.x
	    on OS X 10.11) is no longer available to the project
	  * releases starting with 1.22.1 will use Xcode 8.x on macOS 10.12
	  * build target continues to be OS X 10.9
	- purple: avoid rare SSL read deadlock (Stefan Becker)
	- various minor fixes (Michael Olbrich)
	- crypto: make code compile with OpenSSL 1.1.0 (Stefan Becker)
	- drop references to Reuters Messaging (Stefan Becker)
	- updated translations: Lithuanian (lt), Russian (ru), Swedish (sv), Turkish (tr)

version 1.22.0 "Application Sharing, Lync Autodiscover & Logging" (2017-02-01)
	- Feature #93: Support for Lync Autodiscover (Stefan Becker)
	- Feature #6: Application Sharing Viewer (Jakub Adam)
	  * requires libpurple >= 2.12.0
	  * needs an external RDP client - remmina and xfreerdp are supported
	- Fixed #315: Crash when contact list is empty (Stefan Becker)
	- Fixed #314: sipe login problems with long pw (Stefan Becker)
	- separate logging and debugging output (Stefan Becker)
	  * logging is always shown, e.g. in the Pidgin debug window
	  * full message debugging now requires PURPLE_UNSAFE_DEBUG=1
	- new translations: Greek (el), Lithuanian (lt)

version 1.21.1 "Bug Fixes I" (2016-05-28)
	- various bug fixes in media support (Jakub Adam)
	- configure no longer ignores CFLAGS/LDFLAGS/LIBS (Stefan Becker)

version 1.21.0 "Lync File Transfer" (2016-04-23)
	- Feature #91: Support embedded XML as buddy photo URL (Stefan Becker)
	- Feature #90: Add AppStream metadata file (Jiri Eischmann, Stefan Becker)
	- Feature #89: Improve "Join scheduled conference" dialog  (Stefan Becker)
	- Feature #87: Support multiple HTTP cookies (Stefan Becker)
	- Feature #85: XML raw extract should ignore name space (Stefan Becker)
	- Fixed #311: Crash when SIP transport becomes invalid (Stefan Becker)
	- Fixed #293: Mandatory wsa:MessageID node missing (Stefan Becker)
	- add support for Lync File Transfer protocol (Jakub Adam)
	  * requires libpurple >= 2.12.0
	  * Lync FT will be used for sending files when Lync 2013 is detected
	- add build options to "About SIPE plugin" message (Stefan Becker)

version 1.20.1 "Bug Fixes I" (2015-10-24)
	- add support for another type of ADFS response (Stefan Becker)
	- improve configure check for back-ported features (Stefan Becker, Jakub Adam)
	- updated translations: French (fr), Russian (ru)

version 1.20.0 "SRTP, Conference URL & TLS-DSK Improvements" (2015-08-29)
	- Feature #82: Parse HTML from Lync conference URL (Stefan Becker)
	- Feature #69: SRTP Support (Jakub Adam)
	  * requires libpurple >= 3.0.0
	- Fixed #285: Office365 rejects RC4 in TLS-DSK (Stefan Becker)
	  * added support for AES-128/256-CBC

version 1.19.1 "Bug Fixes I" (2015-04-04)
	- Fixed #278: 488 error after libnice upgrade (Jakub Adam)
	- fix SIP re-authentication timeout to be max. 8 hours (Stefan Becker)

version 1.19.0 "Auto Authentication, MFA & Search Improvements" (2015-02-07)
	- Feature #80: Move parsing of login name (Stefan Becker)
	- Feature #79: support for Adium group chat bookmarks (David Matz, Stefan Becker)
	- Feature #78: Support searching for SIP ID (Stefan Becker)
	- Feature #76: ADFS can't always be used (Stefan Becker)
	  * for accounts that have Multi-Factor Authentication (MFA) enabled
	- Feature #73: Support buddy photos from contactCard (Stefan Becker)
	- Feature #65: Fall back from Kerberos to NTLM (Stefan Becker)
	- Fixed #277: Raised contact names (Stefan Becker)
	- Fixed #240: Corrupted HTTP response crashes SIPE (Stefan Becker)
	- fix calendar state machine when EWS URL is set (Stefan Becker)
	- fall back to [MS-DLX] BasicSearch to improve search experience (Stefan Becker, various)
	- implement search functionality for UCS (Stefan Becker)
	- adium: add chat room list UI (David Matz)
	- adium: fix duplicate debug log messages (Stefan Becker)
	- support for libnice TCP mode (Youness Alaoul, Jakub Adam)
	- refactor CCCP request code (Jakub Adam)

version 1.18.5 "Bug Fixes V" (2014-12-29)
	- Fixed #276: Redundant "const" breaks build with clang (Stefan Becker)
	- Fixed #269: purple idle-away converted to Away (Stefan Becker)
	- svc: use authuser for RealmInfo request (Stefan Becker)
	- adium: add release checking script (Stefan Becker)
	- mingw: update fetch script to Pidgin 2.10.11 (Stefan Becker)
	- updated translations: Italian (it), Swedish (sv)

version 1.18.4 "Bug Fixes IV" (2014-10-18)
	- Fixed #263: ADFS fails when user and login name differ (Stefan Becker)
	- Fixed #262: Adium: SIPE doesn't auto- or re-connect (Stefan Becker)
	- fixed memory leaks (Stefan Becker)
	- fixed processing of presence publish event response (John Zhang, Stefan Becker)
	  * fixes a longstanding issue that the Pidgin user status sometimes
	    didn't switch back to "Available" after the end of a meeting

version 1.18.3 "Bug Fixes III" (2014-08-16)
	- Fixed #259: HTML response to EWS autodiscover triggers libxml2 assert (Stefan Becker)
	- Fixed #258: V&V call gets rejected when IPv6 is enabled (Stefan Becker, Jakub Adam)
	- Fixed #257: Windows 7: SIPE crashes after a minute (Stefan Becker)
	- mingw: improve crash information reporting (Stefan Becker)

version 1.18.2 "Bug Fixes II" (2014-06-07)
	- Fixed #255: Crash when PersistentChat sends BYE instead of response (Stefan Becker)
	- Fixed #248: Remove libpurple SSL configure check (Stefan Becker)
	- Fixed #245: "Unable to resolve DNS SRV record" error when joining conference (Stefan Becker)
	- Fixed #241: Adium filters ":" from "sip:" (Stefan Becker)
	- Fixed #210: Conference call ends with error message (for real this time, Jakub Adam)
	- ews: extract settings also from type EXPR (Stefan Becker)
	- ucs: honor user specified email URL (Stefan Becker)
	- adium: fix compilation on OS X 10.7 (Stefan Becker)
	- updated Transifex URLs (Stefan Becker)
	- updated translations: Hindi (hi), Telugu (te)

version 1.18.1 "Bug Fixes I" (2014-04-12)
	- Fixed #238: False "not delivered" in conference (Stefan Becker)
	- Fixed #237: HTML escaping not removed from URL (Stefan Becker)
	- Fixed #210: Conference call ends with error message (Jakub Adam)
	- fix endless loop with failed HTTP Basic authentication (Stefan Becker)
	- fix crash when gstreamer nice plugin is missing (Stefan Becker, Jakub Adam)
	- fix EWS autodiscover for some Office 365 users (Stefan Becker)
	- purple: fix missing "Copy to" in buddy menu (Stefan Becker)
	- purple/adium: ignore empty search values (Stefan Becker)
	- adium: fix group chat UI (Stefan Becker)
	- adium: implement BEAST mitigations for 10.8.5 (Michael Lamb)
	- add indication when user is connected from a mobile device (Harris Kauffman)
	- updated translations: Chinese (zh_CN), Portuguese (pt)

version 1.18.0 "Adium, GSS-NTLMSSP & OpenSSL" (2014-01-11)
	- Feature #71: Add support for EWS Autodiscover redirection (Stefan Becker)
	- Feature #69: Add UI support for (group) chats (Michael Lamb)
	  * NOTE: Adium does not have an UI to fetch the room list
	- Feature #64: Add support for GSS-NTLMSSP (Stefan Becker)
	  * sip-sec-krb5.c module has been renamed to sip-sec-gssapi.c
	  * if gssapi/gssapi_ntlmssp.h is detected then sip-sec-ntlm.c will
	    be disabled and NTLM will be handled by sip-sec-gssapi.c instead
	  * NOTE: at the time of this writing the user has to set up
	          GSS-NTLMSSP by hand on his system, i.e. /etc/gss/mech
	- Fixed #227: Adium client doesn't save email option settings (Harris P. Kauffman)
	- Fixed #216: SIPE stops working on Mavericks (Stefan Becker, Michael Lamb)
	  * add an UI option to disable SSL BEAST mitigations
	  * NOTE: requires Adium 1.5.10
	- Fixed #197: Account stays in connecting stage (Harris P. Kauffman)
	- cleanup for sip-sec Kerberos & SSPI modules (Stefan Becker)
	  * replace old TGT hack with gss_acquire_cred_with_password()
	  * clean up Kerberos detection in configure
	  * remove special case handling; code is more straight-forward now
	  * thanks to David Woodhouse and Simo Sorce for the GSSAPI information
	- implement internal keepalive handling (Stefan Becker)
	- implement crypto backend based on OpenSSL (Stefan Becker)
	- adium: Xcode project files update (Michael Lamb)
	- adium: replace NSS crypto backend with OpenSSL (Stefan Becker)
	  * NOTE: please make sure to read the updated build instructions!

version 1.17.3 "Bug Fixes III" (2013-12-11)
	- Fixed #225: HTTP re-authentication with NTLM fails (Stefan Becker)
	- Fixed #222: SIPE crashes when groupchat session expires (Stefan Becker)
	- fix UCS Persona key extraction (Stefan Becker)

version 1.17.2 "Bug Fixes II" (2013-11-30)
	- Fixed #214: Typing notification does not always work (Stefan Becker)
	  * reverted one change which caused problems for some users
	- Fixed #222: SIPE crashes when groupchat session expires (Stefan Becker)
	- updated translations: Romanian (ro)

version 1.17.1 "Bug Fixes I" (2013-11-16)
	- Fixed #215: Password not entity encoded in WSSE element (Stefan Becker)
	- Fixed #214: Typing notification does not always work (Stefan Becker)
	- accept alternatives for webticket timestamp/keydata (Stefan Becker)
	- adium: add "don't publish calendar" to account UI (Stefan Becker)
	- contrib: add SSL BEAST mitigation patch for Adium (Stefan Becker)
	- updated translations: French (fr)

version 1.17.0 "Lync 2013" (2013-09-21)
	- Feature #62: Support for Lync 2013 Unified Contact Store (Stefan Becker)
	- Feature #59: Support for Lync 2013 Persistent Chats (Stefan Becker)
	- Fixed #211: Status "away" or "busy" incorrectly mapped to "Invisible" (Michael Lamb)
	- Fixed #209: group chat doesn't like HTML (Stefan Becker)
	- Fixed #200: OCS archiving system blocks audio/video connection (Jakub Adam)
	- Fixed #187: Duplicate messages in group chat (Stefan Becker)
	- Fixed #184: Duplicate users showing in Group Chat (Stefan Becker)
	- fix EWS autodiscover for Office 365 (Stefan Becker)
	- add support for group chat history (Stefan Becker)
	- add support for buddy photos on Lync 2013 (Stefan Becker)

version 1.16.1 "Bug Fixes I" (2013-07-13)
	- Feature #66: Windows DLL version information (Stefan Becker)
	- fix call failure when host has multiple IP addresses (Jakub Adam)
	- fix buddy list handling after moving to Lync 2013 (Stefan Becker)
	  * Lync 2013 migrates buddy list to Unified Contact Store (UCS)
	  * NOTE: modifying the buddy list is *NOT* supported yet!
	- crash fixes for new HTTP stack (Stefan Becker)

version 1.16.0 "HTTP Rewrite & Subscription Fixes" (2013-06-14)
	- Feature #58: Implement Digest authentication scheme for SIP Proxy Authentication (Stefan Becker)
	- Fixed #196: Useragent value not forwarded to core (Michael Lamb)
	- Fixed #193: Pidgin Status changes stop working (Stefan Becker)
	- Fixed #186: Users appear offline when they are not (Stefan Becker)
	- fix kinit-less use case with krb5 >= 1.11 (Stefan Becker)
	- rewritten HTTP stack from scratch (Stefan Becker)
	  * cleaner, layered and hopefully less error-prone implementation
	  * HTTP stack internals no longer exposed to user code
	  * reduced network traffic and less SSL handshakes by utilizing HTTP/1.1
	    connection keep alive for multiple HTTP requests to the same host
	- switch purple backend to deferred destruction approach (Stefan Becker)
	  * Pidgin should no longer crash at connection close, even in corner cases
	- add menu entry to make a call with a phone number (Jakub Adam)
	- some progress on telepathy backend (Stefan Becker)
	  * add TLS certificate accept/reject user interaction
	  * add "Single Sign-On" & "Don't Publish Calendar" account options

version 1.15.1 "Bug Fixes I" (2013-04-07)
	- NOTE: SIPE SourceForge project got updated. Because of this all bug
	        and feature request numbers have changed.
	- Fixed #190: SIP 407 response rejected with invalid message signature (Stefan Becker)
	- Fixed #189: Adium SIPE plugin vs. libpurple linking issues (Michael Lamb)
	- fixed free-after-use issue that caused crashes for some users (Stefan Becker)
	- fixed broken NTLM fallback in Negotiate (Stefan Becker)
	- fixed subscriptions expiration by subscribing again after re-authentication (Stefan Becker)
	- allow different user name and login for Office 365 authentication (Stefan Becker)
	- add SIPE version & git commit ID to debug log (Stefan Becker)
	- added valgrind log analyzer script (Stefan Becker)
	- added NTLM message anaylzer (Stefan Becker)
	- updated translations: Hungarion (hu), Romanian (ro)
	- updated Adium port (Michael Lamb, Harris P. Kauffman)

version 1.15.0 "Authentication & Autodiscovery Update" (2013-03-09)
	- Feature #3578135: Support Kerberos for HTTP(S) authentication w/o SSPI (Stefan Becker)
	  * effective for all platforms that support --with-krb5
	  * this triggered a series of cleanup & simplification changes and
	    functionality & memory leak fixes in the sip-sec modules
	  * special thanks to Jarek Polok for the logs and testing
	- Feature #3594094: Add HTTPS to autodiscover probe (Stefan Becker)
	- Feature #3607040: Simple button to disable calendar integration (Stefan Becker)
	- Fixed #3603228: Crash on 1.14.1 when connecting to server (Stefan Becker)
	- Fixed #3604671: sip uri with apostrophe is not valid (Stefan Becker)
	- fixed HTTP redirect crash (Stefan Becker)
	- unified Single Sign-On handling in all places (Stefan Becker)
	  * if SSO is enabled then "Login" & "Password" settings are ignored
	  * SSO is now off by default for new accounts
	  * NOTE: if you do *NOT* use SSO, then be sure to disable it in the
	          "Advanced" tab of the account settings after updating!
	- added implementation for HTTP "WWW-Authenticate: Negotiate" scheme (Stefan Becker)
	  * effective for all platforms that support --with-krb5
	  * it will try Kerberos first, then fall back to NTLM
	  * valid Kerberos Single Sign-On setup will be detected automatically
	  * setup for a mixed Kerberos/NTLM HTTP environment:
	    - login name:     DOMAIN\account
	    - password:       domain password
	    - authentication: Kerberos
	    - Single Sign-On: OFF(!)          (see above)
	- enabled TLS-DSK support in Windows SSPI version
	- TLS-DSK: don't ask for password if SSPI or Kerberos are compiled in
	- Farstream 0.1.1 compatibility fix (Jakub Adam)
	- support conf:sip: meeting URIs (Jakub Adam)
	- updated Adium port (Michael Lamb)

version 1.14.1 "Bug Fixes I" (2012-12-26)
	- Feature #3578132: Kerberos configuration should be passwordless (Stefan Becker)
	  * purple: non Single Sign-on users are asked for the password again
	- bug & memory leak fixes in sipe-buddy.c (Jakub Adam)

version 1.14.0 "Buddy photo & ADFS support, Web Ticket Optimizations" (2012-12-16)
	- Feature #3585364: Add support for Web Ticket authentication using ADFS (Stefan Becker)
	  * special thanks to user bhakta79 for the hard work taking logs
	- Feature #3578132: Kerberos configuration should be passwordless (Stefan Becker)
	- Fixed #3580212: Connection drops after a few hours (Stefan Becker)
        - add support for buddy photos (Jakub Adam)
	- add support for call to Audio Test Service (Jakub Adam)
	- initial implementation for telepathy backend (Stefan Becker)
	  * nothing much to see for end users yet...
	- reduce Web Ticket traffic by queueing requests & caching tickets (Stefan Becker)
	- update OBS packaging information for Debian (Stefan Becker)
        - various minor bug & build fixes

version 1.13.3 "Bug Fixes III" (2012-08-19)
	- Fixed #3537084: OpenBSD build issue (Stefan Becker)
	- Fixed #3543294: Support Lync 2010 meet URLs (Jakub Adam)
	- revert to legacy MSOC protocol on Lync FT invitation (Jakub Adam)
	- fix broken busy->available status switch (Stefan Becker)
	- updated translations: Portuguese (pt)

version 1.13.2 "Bug Fixes II" (2012-06-10)
	- tls: fix buffer overrun (Oleksandr Hryshchuk, Stefan Becker)
	- win32: fix TCP connections (Stefan Becker)
	- nsis: fix broken locale installation (Stefan Becker)
	- updated translations: French (fr)
	- various build fixes (Stefan Becker, Jakub Adam)

version 1.13.1 "Bug Fixes I" (2012-04-09)
	- detect incompatible encryption level with Lync (Jakub Adam)
	- purple: add URI validity check to Add Buddy callback (Stefan Becker)
	- new translations: Romanian (ro), Turkish (tr)
	- various build fixes (Stefan Becker)

version 1.13.0 "Lync & Office365" (2012-03-14)
	- added [MS-SIPAE] TLS-DSK authentication scheme (Stefan Becker)
	  * TLS-DSK has been introduced in Lync
	  * mandatory for Office365 accounts
	  * also works for non-public Lync installations
	  * does not work yet with SSPI on Windows
	- added [MS-DLX] based Get Info/Contact Search (Stefan Becker)
	  * [MS-PRES] SIP-Based Active Directory Search is disabled in Lync
	- added experimental media TCP transport (Jakub Adam)
	- make it compile against the latest purple 3.0.x API (Stefan Becker)
	- make it compile against the latest glib2 2.31.x API (Stefan Becker)
	- completed cleanup: core no longer requires libpurple (Stefan Becker)
	- refactored crypto code, ie. NSS can replaced if necessary (Stefan Becker)
	- sipe-domino.c is no longer built under UNIX to remove dead code (Stefan Becker)
	- restricted XXX_CFLAGS to modules that need them (Stefan Becker)
	- NSS is now a mandatory build requirement (Stefan Becker)
	- decoupled SSPI from HAVE_LIBKRB5 flag. New flag is HAVE_SSPI (Stefan Becker)
	- OBS mingw packages now use SSPI instead of NTLM (Stefan Becker)
	- added NSIS package generation to OBS mingw packages (Stefan Becker)
	- removed kopete backend. KDE is moving to telepathy (Stefan Becker)
	- added MinGW cross-compilation on Linux instructions (Stefan Becker)

version 1.12.0 "Group Chat" (2011-08-29)
	- Feature #3064877: Add support for OCS2007R2 Group Chat (Stefan Becker)
	- Feature #3311026: Support for HTTP/1.1 Transfer-Encoding: chunked (Stefan Becker)
	- Fixed #2834758: First NTLM signature check after startup fails (Stefan Becker)
	- Fixed #3082602: Crash on Autodiscover (Stefan Becker)
	- Fixed #3090663: Re-authentication fails (Stefan Becker)
	- Fixed #3092324: Core dump in "make check" (psfales)
	- Fixed #3130915: Failed to authenticate to server (Stefan Becker)
	- Fixed #3148124: sipe segfaults during login on Solaris (Jakub Adam)
	- Fixed #3150482: "configure --with-vv" test uses wrong include (Stefan Becker)
	- Fixed #3156430: Messages not Delivered (rwinchsf, Stefan Becker)
	- Fixed #3161273: Lost Connection Gives No Error Message (rwinchsf, Stefan Becker)
	- Fixed #3198585: Extra line breaks (Stefan Becker)
	- Fixed #3267073: False "could not be delivered" errors (sort of..., Stefan Becker)
	- Fixed #3399007: Crash when sipe_cal_working_hours->days_of_week is NULL (Stefan Becker)
	- Patch #3091490: Make 1.11.0 Compile on FreeBSD (jprather)
	- Patch #3108246: Patch for better windows installer (archrival, galiven)
	- add random Ms-Conversation-ID to INVITE (Jakub Adam)
	- fix parsing of P-Asserted-Identity header (Jakub Adam)
	- added MS TURN support (Jakub Adam)
	- fix crash on zero length password in NTLM (Vladimir Ushakov)
	- implement timeouts for SIP request. Used for REGISTER (Stefan Becker)
	- more work on Voice & Video call support (Jakub Adam)
	- make it compile against the purple 2.8.x & 3.0.x APIs (Stefan Becker)
	- more internal changes to prepare for non-purple backends (Stefan Becker)
	- added integration for transifex.net update (Stefan Becker)
	- configure improvements for 64-bit: use libdir, gsize/size_t compatibility (Stefan Becker)
	- update compiler warnings configuration for all build platforms (Stefan Becker)
	- updated Adium port (Matthew Duggan)
	- mingw build updates (Harris P. Kauffman, Stefan Becker)
	- added miranda port (Jochen De Smet)
	- added mingw to OpenSUSE Build Service configuration (Stefan Becker)

version 1.11.2 "Hot fixes II" (2010-11-02)
	- Revert "mingw: add missing purple-notify.c to build" (Anibal Avelar)
	- Sipe-sign: fix parsing of P-Asserted-Identity header (Jakub Adam)
	- Fixed memory leaks (Stefan Becker)
	- Fix #3090663: Re-authentication fails (Stefan Becker)
	- Fix #3090663: Re-authentication fails (2nd attempt) (Stefan Becker)
	- Fix #3090663: Re-authentication fails (3rd attempt) (Stefan Becker)
	- Fix #3090663: Re-authentication fails (4th attempt) (Stefan Becker)
 	- Apply patch #3091490: Make 1.11.0 Compile on FreeBSD (jprather)
	- Fix #3092324: Core dump in "make check" (Stefan Becker)

version 1.11.1 "Hot fixes" (2010-10-24)
	- mingw: add missing purple-notify.c to build (Stefan Becker)
	- Fix for bug #2834758: First NTLM signature check after startup fails
	- purple: fix memory leak in sipe_backend_transport_connect() error path
	- Fix for bug #3082602: Crash on Autodiscover (Stefan Becker)
	- configure: use libdir & datadir instead of prefix + path (Stefan Becker)
	- configure: update 32-bit vs. 64-bit header conflict test (Stefan Becker)
	- debian: build stability fix in post-install (Stefan Becker)

version 1.11.0 "Lotus Domino/Calendar & Voice Call" (2010-10-04)
	- Feature #2859239: Voice call support (Jakub Adam)
	  * requires updated versions of libnice, farsight & pidgin
	  * only unencrypted calls as SRTP support is missing in farsight
	- Feature #2945346: Lotus Notes/Domino Calendar integration (pier11):
	  * Sipe can now retrieve calendar data (Meeting schedule/subject/
	    location) from a web-enabled Lotus Domino server and publish it to
	    OCS2007/LCS2005 as availability information.
	  * Example: "Calendar: Currently Busy. Free at 11:30".
	  * Team members (contacts with access level Team) will be able to see
	    information about our current meeting (subject & location) (OCS2007).
	  * First calendar update is scheduled 1 minute after connect,
	  * Subsequent calendar updates happen in 30 minute intervals.
	  * Manual calendar update can be triggered using the following menu:
		   Accounts->{SIPE_ACCOUNT}->"Republish Calendar"
	  * Though Domino integration can work without any additional settings
	    in account configuration (on Windows), there are options to manually
	    provide Domino Services URL and email address/password if it's
	    different from SIP URI/Password settings on Basic tab.
	- Fixed #2971422: idle check for OCS2005 presence case (Stefan Becker)
	- Fixed #2982424: krb5 build errors on FreeBSD (Stefan Becker)
	- Fixed #2997639: pidgin crash after accepting cert (Stefan Becker)
	- Fixed #3001523: Cancelling a long pending file transfer crashes Pidgin (Jakub Adam)
	- Fixed #3002993: Group Name issues with ampersand (Stefan Becker)
	- Fixed #3029228: Calendar published at/with incorrect time (Stefan Becker)
	- Fixed #3029929: Crash with outlook 2k3 Calendar (Stefan Becker)
	- Fix logout from OCS (Jakub Adam)
	- Implement workaround for buddy list menu memory leaks (Stefan Becker)
	- Dropped UDP transport support (Stefan Becker)
	- Rewrote TCP & TLS transport support (Stefan Becker)
	- HTTP improvements: GET, cookies (pier11)
	- Alternative crypt/digest implementation based on NSS (pier11)
	- Rewrote message debug log and implemented an analyzer script for it (Stefan Becker)
	- More internal changes to prepare for non-purple backends (Stefan Becker)
	- New translation: Dutch (Flemish) 'nl' (fieona, ridiekel)
	- New translation: Swedish 'sv' (Rijad)
	- Added translations 'ar' 'hu' 'ja' 'ko' 'sv' 'zh_TW' submitted by Novell
	- New build option: nss/mozilla-nss/microb-engine-nss for non-purple backends
	- Add build option for kopete backend (Stefan Becker)
	- mingw build using standard approach, i.e. with auto* tools. (pier11)
	- Updated Adium port (Emanuele Zattin)

version 1.10.1 "Bugfix release" (2010-06-27)
	- Fix broken sipe_ht_equals_nick(); the broken code has been in the 1.10.0 release. As it affects the buddy list it could be the root cause for some of the "buddy appears offline" reports. (Stefan Becker)
	- Make it compile against the final purple 2.7.0 API; (Stefan Becker)

version 1.10.0 "Access Levels" (2010-04-04)
	- Feature #2823160: Access Levels (2007+ environment). The functionality is available through contact's context menu "Access level" and also presented on contact's tooltip. Current individual access level is marked with star (*), current group access level is marked with equals sign (=). (pier11)
	- Feature #2957811: add support for "automaton" class (Stefan Becker)
	- Feature #2972823: fail on in-line variable declarations (Stefan Becker)
	- Fixed #2971422: handle OCS 2005 idiosyncrasy of varying SIP URI case (pier11)
	- Fixed #2981563: Authentication protocol v4 - invalid signature of some incoming messages containing P-Asserted-Identity or P-Preferred-Identity with uppercased SIP or TEL in URI. (pier11)
	- Fixed publication/"409 Conflict" endless looping (Stefan Becker, pier11)
	- Prepare for Pidgin 2.7.0 (Stefan Becker, pier11)
	- Windows build updated to gtk+2.14, gettext 0.17, libxml2 2.7.4, gcc 4.4 (pier11)
	- Added SVG icon artwork (Jakub 'jimmac' Steiner)
	- Many changes to configure script. Be sure to look at "configure --help"! (Stefan Becker)
	- Many internal changes to prepare for non-purple backends (Stefan Becker)
	- New build requirements: libxml2, glib-2.0 >= 2.12.0
	- New build option: gmime-2.4 >= 2.4.16 or gmime-2.6 >= 2.5.2 for non-purple backends

version 1.9.1 "Hot fixes" (2010-03-16)
	- Fixed #2969327: Kerberos authentication always fails on *nix platforms (pier11)
	- Fixed #2968287: Authentication failure in scenario when director server is Office Communications Server 2007 or above and home server is Live Communications Server 2005 (pier11)
	- Send BYE when response to IM message is 408/480/481 (Stefan Becker)
	- Re-enable offline status to be user settable (Stefan Becker)

version 1.9.0 "File transfer & NTLMv2" (2010-03-10)
***** Important Security Update for *nix users *****
	- Contributed File transfer functionality. File encryption is supported. (Jakub Adam, Tomáš Hrabčík)
	- NTLMv2 and NTLMv2 Session Security support (pier11)
	- Implemented SIP Authentication Extensions protocol version 4 and 3 (pier11)
	- Adoption for commercial UNIX - HP/UX, Irix, Solaris - big endian fixes and build improvements (Peter Fales, Stefan Becker)
	- Packaged for Maemo platform (Nokia N900, etc.) at Maemo.org. Works with Pidgin from the same site. (Stefan Becker)
	- Adoption of file transfer for Windows build (pier11)
	- Official Debian package files in contrib (Anibal Avelar)
	- another shot at presence update problems (Stefan Becker)
	- fix crash caused by uninitialized security contexts (Stefan Becker)
	- Code analysis with Coverity Prevent. (Stefan Becker)
	- Updated translations: 'ru' (100%, pier11), 'de' (100%, Stefan Becker)
	  'es' & 'pt_BR' (100%, Anibal Avelar)
	- Fix for "SIP/2.0 481 Call leg unavailable" error (Anibal Avelar)
	- Increased libpurple build requisite to >= 2.4.0

version 1.8.1 "Exchange/Calendar crash fixes" (2010-02-16)
	- many crash fixes for error or corner cases in calendar integration (pier11, Stefan Becker)
	- more detailed code analysis with Coverity Prevent (Stefan Becker)
	- build fixes for older libpurple/glib2 versions (pier11)
	- OpenSUSE Build Service configuration files (pier11)
	- Fix NTLM crash if login setting is undefined (pier11)
	- Use of g_str_has_prefix() available since glib 2.2 and null-safe (pier11)

version 1.8.0 "Exchange/Calendar" (2010-02-07)
	- Added integration with Exchange 2007/2010. Now Sipe retrieve our Calendar data (Free/Busy, Working Hours, Meeting Subject/Location, Out-of-Office Note) from Exchange Web Services and publishes it to OCS2007/LCS2005. Thus our contacts can see our availability information based on Calendar data. For example: "Calendar: Currently Busy. Free at 11:30" or "Calendar: Currently Free. Outside of working hours at 18:00". Contacts will also see our Out-of-Office message if it's enabled in Exchange/Outlook. Team members (contacts with access level Team) will be able to see information about our current meeting - subject and location (OCS2007).
	First call to Exchange is scheduled with 1 minute delay after Sipe start. Subsequent update intervals are 30 minutes. There is a way to manually trigger Calendar data update: Accounts->{SIPE_ACCOUNT}->"Republish Calendar" menu option.
	Though Exchange integration can work without any additional settings in account configuration, there are options to manually provide email address if it's different from SIP URI, Exchange Services URI, email account authentication if it is different from configuration on Basic tab. (pier11)
	- Added Calendar information to contact's tooltip. You can see it like "Calendar: Currently Tentative. Busy at 11:30" or "Calendar: Outside of working hours for next 8 hours". (pier11)
	- 2005 presence engine has been completely rewritten. Now it supports "Do not disturb" status(taken from UserState), "In a meetinfg" status (taken from Calendar stream data, and most importantly changing autonomously in line with the stream). "In a meeting" activity reflects scheduled times of activities in Outlook/Exchange with Busy state. Updated 2007 presence engine too. Pidgin Statusbox now reflects last status and note set by our other points of presence; also updates according to our Calendar state (i.e without manual action); displays our Out-of-Office message if any. (pier11)
	- Added "Accounts->{SIPE_ACCOUNT}->Status Reset" menu option to clean User Status set manually. The latter can override Calendar status for example. (pier11)
	- Added "Find on LinkedIn" link on contact's User Info screen for more in-depth information about your contact if available. Both SIPE and LinkedIn.com professional network belong to enterprise domain, so match is quite good. (pier11)
	- Enhanced custom NTLM security provider to pass connection-oriented authentication. Used in Web authentication, for example with Exchange Web Services. In contrast to connectionless (datagram) NTLM authentication type used in SIP. (pier11)
	- Added Negotiate authentication scheme (Windows only). Used in HTTP authentication. (pier11)
	- Contributed code for Adium port. (Matt Meissner)
	- Added Windows Messenger 5.0 (RTC/1.2) compatibility. Though very old, some our clients use it on LCS2005. (pier11)
	- New BusyIdle status. (pier11)
	- Placed Sipe to Transifex.net translation portal allowing easily add/modify translations through web interface. (Stefan Becker)
	- Updated Sipe About screen ("Accounts->{SIPE_ACCOUNT}->About SIPE plugin") with our translation page. (pier11)
	- New translation: Polish 'pl' (Piotr Drąg)
	- Updated translations: 'zh_CN' (Kang Kai), 'ru' (pier11) and 'de' (Stefan Becker)
	- Static/dynamic code analysis with Coverity Prevent, memory leaks fixes (Stefan Becker)
	- Fixed memory leaks found with cppcheck (http://sourceforge.net/projects/cppcheck) (Edmondas Girkantas)
	- Fixed localization on Windows platform(!) Now translations are shown. (pier11)
	- Fix for #2907567 Note parsing issue. Incoming html markup (like < symbol) could wierdly rerender Pidgin's contacts list UI - for example to "rename" contact, or even replace contact name by group name.
	- Fix for #2908830 Federated contacts appear to be broken. 2005 Public IM Connectivity (PIC) environment. (pier11)
	- Fix crash when SSL connect fails (Stefan Becker)
	- Fix for server auto-discovery (Anibal Avelar)
	- Fix for #2912926 crash on exist. Caused by improper CSTA communications. (pier11)
	- Fix for xdg-email invocation. (David Woodhouse)
	- Fix for SLED 10 compilation. (pier11)
	- Fix for OpenSolaris port - #pragma pack() issue. (Stefan Becker)
	- Fix compilation without Kerberos (Stefan Becker)
	- Fix for User Agent string. (pier11)
	- Fix for compilation with Pidgin 2.6.4 and 2.6.5 on mingw. (pier11)
	- Fixed #2944156: SIPE Authentication Causes Pidgin Crash(Stefan Becker)
	- RPM SPEC: add Epoch: for git packages. (Stefan Becker)
	- Remove static link build option, remove unused config.h, other build improvements. (Stefan Becker)
	- Make tests compile again; Simplify "make tests" (Stefan Becker)
	- Code: Take PURPLE_INIT_PLUGIN into use.(Stefan Becker)

version 1.7.1 (2009-11-19)
	- "About SIPE plugin" screen implemented. Accessible as "Accounts->{Your Account}->About SIPE plugin".
	- New correct 'User Agent:' header in SIP messages with Purple and Sipe versions, host operating system type and processor architecture as well as OCS version. To take advantage of it - empty your old 'User Agent' setting in the account configuration.
	- Version now stored in single place - VERSION file and used for all builds.
	- Core - not using bodies for single subscriptions in 2005 environment. Optimized CSeq numbers usage. Beautified debug log output.
	- Call Control - session timer for dialog with CSTA. Otherwise session with CSTA got expired after ~30 min due to no refresh. RFC4028.
	- Call Control - removing internal alternative phone number from phone string.
	- RPM spec file update for CentOS/RHEL 5 - purple-sipe needed a "Group" (John B.)
	- Fixed crash in 2005 'New Chat' menu.
	- Fixed #2886534 - routing - Request-URI/Route headers. Problem was a re-subscription failure resulting in stopping contacts' status update after approximately 8 hours.
	- Fixed #2892842 - interference of conference invite to normal IM dialog on 2007 environment. Incoming BYE from conf invite process used to kill ongoing regular IM dialog with the same user.
	- Fixed crash in presense processing on Reuters environment (LSC 2005) on Linux.
	- Fixed #2882304 - 'Note' not working with LCS2005
	- Fix for the First message in 2005 multiparty chat.
	- Fix for initial outgoing messages - some were lost if typed too fast if dialog was not established yet.
	- Fixed #2882658 - SIGSEGV in process_incoming_info_csta() - happened on some Cisco-Systems 7 CSTA Gateways.
	- Fixes for SLED 10 SP2 and SP3 compilations.

version 1.7.0 "Remote Call Control" (2009-10-19)
       - Added integration with PBX (external phones) using CSTA protocol (ECMA TR-87). Users can initiate a call by clicking on contact phones in right-click context menu. This feature should be enabled for user on the server side.
       - Added reconnection to chat after disconnection by continue typing in the same open chat window (OCS 2007 only). Feature request #2866630.
       - More precise errors shown on message undelivery event.
       - Better re-subscription logic for contact status updates.
       - 'Out of Office', 'In a Meeting', 'In a Conference', etc. contact activities are shown now in contast's status and tooltip. Also meeting subject and location are shown in 2007 environment if contact is in Team access category.
       - New Idle status.
       - Added 'Site' to User Info panel. Can be a link to user's corporate directory page or similar.
       - Removed message acceptance in incoming INVITE.
       - Fixed type errors in sip-sec-ntlm.c for Linux/Unix platforms.
       - Added 32- and 64-bit header conflict check to configure.
       - Removed libsipe.so from old incorrect installation location. This makes sure that DIY users don't have two copies of libsipe.so.
       - Moved libsipe.so to the correct installation directory. The libpurple protocol plugins directory is $(libdir)/purple-2. While the name of the plugin is pidgin-sipe, it works perfectly fine with 'finch' too.
       - Rewritten transaction payload handling. This should fix memory leaks in transaction handling.
       - Fixed crash on reauthentication when IM window is open not Chat window
       - Fixed warnings on compilation.
       - Fixed memory leaks.

version 1.6.3 (2009-09-09)
       - Added missing krb5-devel BuildRequires to the RPM spec file.
       - Cleanup of source code compatibility for libpurple 2.4.x
       - Fixed for msrtc statuses, bug #2843985
       - Fixed HTML markup in note, bug #2841095
       - Fixed a segmentation fauls when the function sipmsg_parse_header backs
a null value.
       - Possible fixed a crash when SIPE account added, bug #2844545
       - Reduced libpurple build requisite to >= 2.3.1
       - Fixed NetBSD compilation errors in sipe-utils.c, bug #2847380
       - Updated zh_CN translation
       - Fixed a crash when pidgin auto-away fires, bug #2849156

version 1.6.2 (2009-08-23)
       - Treat of 504 Server time-out error
       - Decrease libpurple build prerequisites to >= 2.4.1
       - Updated windows build to latest Pidgin 2.6.1
       - Fix compilation errors against libpurple >= 2.6.0 API
       - Publishing optimization
       - Separate storage for subscription dialogs.
       - Fixed '409 Conflict' case. We are extracting proper versions of our publications and updating local mirror with them.
       - Fixed CSeq for subscription dialog.
       - Fixed for unsubscribes
       - Fixed for Active Directory search
       - Make OCS2007+ conditionals self-documenting
       - Fixed compilation problem on 64-bit and NetBSD platforms #2839689
       - The 'context' element only for just added subscriptions #2836290
       - Removed dependency on com_err.h
       - Fixed warnings on compilation.
       - Fixed memory leaks.

       - Updated "de" translation
version 1.6.1 (2009-08-12)
       - Fixed missing backslash in "es" translation file
       - Support publication: modular publications
       - Support publication: manual vs machine status publication
       - Fix timeout calculation in sipe_buddy_subscribe_cb(), make sure timeout is never 0
       - Fixed crash in sipe_process_roaming_self()
       - Add purple >= 2.5.0 as configuration requirement
       - Cleanup username handling in sipe_login()
       - Make password mandatory again
       - Fixed memory leaks in sipe_login() error paths
       - Removed controversial dependency in windows branch used for old MAC code
       - Got rid of MAC in epid generation
       - Updated "es" translation
       - Updated "de" translation
       - Cleaned up connection configuration and setup
       - More precise treatment of incoming typing info
       - Fixed improvements reported in #2833015
       - Fixed for "message was not delivered" reported in bug #2832551
       - Fixed for CHOWA problems reported in bug #2795132
       - Fixed for crash reported in bug #2795132
       - Tag all unused function parameters
       - Added Empathy support - telepathy-haze config for sipe
       - Code around GCC bug on ppc platforms
       - License file cleanup
       - Fixed ppc64 compilation errors
       - Many refinements to the RPM SPEC file
       - Added convenience script to (re)build from git repository
       - Added convenience script for creating git snapshots

version 1.6.0 "Multiparty Chat" (2009-07-27)
       - Multi-party conversation (Chat) functionality for:
	 + OCS 2007+ as a conference [MS-CONFBAS], [MS-CONFIM], [MS-CONFPRO];
	 + LCS 2005- as a multi-party chat.
       - Fixed our status in OCS 2007+ environment as seen by others.
       - Asks user if he wants add counterparty which added him to his contact list (OCS 2007+). User dialog wording improvement.
Also defined default group in Add User dialog which appear after user search in catalog.
       - More strict compilation warnings treatment.
       - Started code split to functional modules.
       - Tailored subscriptions for environment - eliminated not needed subscriptions in 2007 environment.
       - Fixed session closing on unsuccessful message delivery.
       - More correct incoming BYE processing.
       - Fixed stealth bug when action payload got freed. Initial bug was that contact could not be removed.
       - Fix handling of empty note text in incoming rlmi NOTIFY.
       - patch for FreeBSD 7.x by jprather.
       - Fix for wrong epid generation on Windows platform in case of missing MAC.
       - Fix for Route processing.
       - Improvements for compilation under ppc/ppc64 platfolrm.
       - Fixed crash if work in non-authenticating environment.

version 1.5.0 "Kerberos" (2009-06-24)
       - Fixed bug #2800325 for crash if wrong IP manually typed into Pidgin.
       - New Security Framework: dedicated to use plug-able security mechanisms.
	 + Added Kerberos/NTLM SSPI for Windows
	 + Added Kerberos MIT for Linux
	 + Fixed the NTLM native implementation for Linux
       - New options on Advanced tab: Use Kerberos and Single Sign-on (for both
 kerberos implements).
       - Fixed the --with-krb5 compilation option. Now pidgin-sipe can be compiled with krb5 support again.
       - To send presence subscribe requests to poolFqdn servers
       - Record-Route header can contain multiple routes. For CHOWA clients.
       - Fixed 2 bugs with INVITE messages from incoming CHOWA clients.
       - FreeBSD compatibility
       - Fixed for 'same conversation ID' issue
       - Fixed for Reuters(LCS2005) frequent disconnects
       - Fixed many warnings on compilation.
       - Fixed many potential memory leaks. Thank you Stefan
       - Fixed I18n support and sync from launchpad
	 + Added 'it' and 'ru' translations
	 + Updated 'zh', 'cs', 'es' and 'nb' translations.

version 1.4.1 (2009-06-01)
       - Patch for spaces in Login's username
       - Fixed bugs #2793431, #2793688 for crash in process_incoming_notify_rlmi_resub
       - Fixed the correct presence for contacts with the presenceMode="msrtc".
       - Simplify keep alive timeout setting code
       - Fixed the resubscription process in LCS2005 and OCS2005.
       - Fixed the support for batched subscription
       - Fixed a problem when you added a new contact on OCS2007
       - Fixed potential memory leaks. Thank you Stefan
version 1.4.0 (2009-05-17)
       - Simplified Account Settings Basic screen
       - Full support for presence using Batched Category Subscription for
	 OCS2007. [MS-PRES]
       - Full support for presence usgin Batched Simple Subscription for
	 LCS2005. [MS-SIP]
       - Active Directory search for 'Get Info' screen.
       - Buddy URI are replaced with Display Name.
       - Added non sensitive support between the client and servers answers.
       - Support for deregistration [MS-SIPREGE]
       - Support for 2007 R2 client message formatting.
       - Re-subscription after expiration. LCS2005
       - Added escaping to SOAP request parameters
       - Implemented a new scheduling system
       - Cleanup status id handling
       - NOTIFY and BENOTIFY similarly handled
       - Implemented piggy-back for buddy subscription.
       - Request for functions only supported for each kind of servers
	 (Allow-Events) OCS2007 and LCS2005. (may be LCS2003?)
       - Fixed many warnings on compilation.
       - Fixed many potential memory leaks. Thank you Stefan
       - Fixed bug #2786479: some messages could not be delivered to all users.
       - Fixed bug #2779386: fix for invalid NTLM signature.

version 1.3.4 (2009-04-13)
       - Fix segmentation fault caused by redirect
       - Added check for zlib.h, com_err and purple version on configure script,
       - Added note to tooltip
       - Added timeout of security association after eight hours as described
	 in [MS-SIPAE] 3.2.2 Timers.
       - Updates to enable compilation in a Cygwin/MinGW environments
       - Fix a problem with the function purple_get_host_name() in libpurple
	 versions <  2.5.x
       - Support for responses with m=x-ms-message rather than m=message
       - Support for Reuters Messaging environment (LCS2005 like)
       - Support for message formatting (font face, style, color).
       - Introduced invisible mode (Appear Offline). Better status support.
	 official clients
       - Richer status support with reference to [MS-PRES] and work of
       - Fix for bug #2528391: Accepts the first message from the first packet (INVITE). Counterparty's first message now can appear up to 2 sec earlier.
       - Fixed the offline contacts problem in OCS2007 following [MS-PRES]
       - Added notification support for undelivered messages.

version 1.3.3 (2009-02-09)
	- Implemented keep alive support. Thanks Stefan Becker
	- Support LCS 2005 buddy auth/blocking. Thanks Gabriel Burt
	- Fixed SSL errors.
	- Fixed many segmentation fault errors.
	- Added many translation files.

version 1.3.2 (2008-12-14)
	- Added support for mingw. Thanks Carl Seutter
	- Merge with stable branch in the git repository
	- Fixed SSL input processing
	- Extended contact search implementation
	- Path to xBSD support

version 1.3.1 (2008-12-09)
	- Locale/translations support
	- Search contacts support
	- Code cleaned
	- LCS 2005 fixed send/receive messages;partially fixed

version 1.3 (2008-12-04)
	- TLS/SSL support
	- Fixed signing messages, thanks Gabriel Burt
	- Fixed LCS contacts with add/remove/modify, thanks Gabriel Burt
	- Added Presence support for OCS 2007 and LCS 2005
	- A lot of patches to fix:
	   +TLS connections,
	   +Send/receive messages,
	   +Full presence,
	   +TCP connections and optimal options in Advanced tap.
	- A lot bugs fixed

version 1.2 (2007-03-22)
	- Finished the pidgin 2.0 porting
	- Fixed a NTLM auth problem about the flags on challenge3.
	- Fixed the Contact problem.
	- Fixed the segmentation on network detection.
	- Other minor bugs

version 1.1 (2007-03-09)
	- Fixed a bug in NOTIFY and SUBSCRIBE methods (401 error)
	- Changed the method PUBLISH(don't aply in LCS) for SERVICE
	- Added new tags in transactions to cloned the LCS transactions.
	- The MESSAGE method works. Now you can send a message to online user.

version 1.0 (2007-03-04)
	Gaim plug-in releases. First release using autoconf and automake.
	Compiles with gaim-2beta5 (or newer). On Debian systeam you need
	the gaim-dev package for compile it.

	First version. Just added this functionalities:
	- Authentication (just type NTLM)
	- Presence (double sided)
	- Retrieves all contacts from server (with groups)
	- Delete contacts and groups
